# Rich Text

Namespace: `core/rich-text`.

## Selectors

<!-- START TOKEN(Autogenerated selectors|../../../packages/rich-text/src/store/selectors.js) -->

### getFormatType

Returns a format type by name.

_Parameters_

-   _state_ `Object`: Data state.
-   _name_ `string`: Format type name.

_Returns_

-   `Object?`: Format type.

### getFormatTypeForBareElement

Gets the format type, if any, that can handle a bare element (without a
data-format-type attribute), given the tag name of this element.

_Parameters_

-   _state_ `Object`: Data state.
-   _bareElementTagName_ `string`: The tag name of the element to find a format type for.

_Returns_

-   `?Object`: Format type.

### getFormatTypeForClassName

Gets the format type, if any, that can handle an element, given its classes.

_Parameters_

-   _state_ `Object`: Data state.
-   _elementClassName_ `string`: The classes of the element to find a format type for.

_Returns_

-   `?Object`: Format type.

### getFormatTypes

Returns all the available format types.

_Parameters_

-   _state_ `Object`: Data state.

_Returns_

-   `Array`: Format types.

<!-- END TOKEN(Autogenerated selectors|../../../packages/rich-text/src/store/selectors.js) -->

## Actions

<!-- START TOKEN(Autogenerated actions|../../../packages/rich-text/src/store/actions.js) -->

### addFormatTypes

Returns an action object used in signalling that format types have been
added.

_Parameters_

-   _formatTypes_ `Array|Object`: Format types received.

_Returns_

-   `Object`: Action object.

### removeFormatTypes

Returns an action object used to remove a registered format type.

_Parameters_

-   _names_ `string|Array`: Format name.

_Returns_

-   `Object`: Action object.

<!-- END TOKEN(Autogenerated actions|../../../packages/rich-text/src/store/actions.js) -->
